<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.Device">
        <id column="id" property="id" />
        <result column="name" property="name" />
        <result column="code" property="code" />
        <result column="device_type" property="deviceType" />
        <result column="create_time" property="createTime" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="device_flag" property="deviceFlag" />
        <result column="del_flag" property="delFlag" />
        <result column="firm" property="firm" />
        <result column="device_describe" property="deviceDescribe" />
        <result column="address" property="address" />
        <result column="device_duty" property="deviceDuty" />
        <result column="property" property="property" />
    </resultMap>

</mapper>
